<script lang="ts" setup>
import { storeToRefs } from 'pinia'
const store = useSideMenu()
const { closeMenu } = store
const { isOpenLeftMenu } = storeToRefs(store)
const nav = useNav()
</script>

<template>
  <v-navigation-drawer
    location="left"
    fixed
    temporary
    :model-value="isOpenLeftMenu"
    @update:model-value="closeMenu"
  >
    <v-list>
      <v-list-item v-for="(item, i) in nav" :key="i" :to="item.to">
        <template #prepend>
          <v-icon color="brown" :icon="item.icon"></v-icon>
        </template>
        <v-list-item-title class="text-brown-darken-4">{{
          $t(item.text)
        }}</v-list-item-title>
      </v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
